// Include Standard files
#include <inarm.h>
#include <stdio.h>
#include <stdlib.h>
#include "board.h"


//*----------------------------------------------------------------------------
//* Function Name       : main
//* Object              : Main application
//*----------------------------------------------------------------------------
int main (void)
{

  // Init AMC
  InitAMC();

  // Init UART interface
  UARTInitialize(9600);

  // Print walcome message
  UARTString("\n\r\n\r Walcome to Olimex SAM7-LA2 Development Board");
  UARTString("\n\r\t www.olimex.com/dev");
  UARTString("\n\r");

  // Test RAM
  if(TestRam())   { UARTString("\n\r ***** TEST RAM FAILED!!! *****"); }
  else            { UARTString("\n\r************ RAM Test success ************\n\r"); }

  // Test FLASH
  if(TestFlash()) { UARTString("\n\r ***** TEST FLASH FAILED!!! *****"); }
  else            { UARTString("\n\r************ FLASH Test success ************\n\r"); }

  // loop board
  while(1) {

  }
}
